package com.eco.plugin.xx.hqctb.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "数据同步配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.hqctb.config", text = "数据同步配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "apiurl", name = "api前缀", description = "api前缀", status = Status.SHOW)
    private Conf<String> apiurl = Holders.simple("");

    @Identifier(value = "systemcode", name = "systemcode", description = "systemcode", status = Status.SHOW)
    private Conf<String> systemcode = Holders.simple("");

    @Identifier(value = "integrationKey", name = "integrationKey", description = "integrationKey", status = Status.SHOW)
    private Conf<String> integrationKey = Holders.simple("");

    public String getApiurl() {
        return apiurl.get();
    }

    public void setApiurl(String url) {
        this.apiurl.set(url);
    }

    public String getSystemcode() {
        return systemcode.get();
    }

    public void setSystemcode(String url) {
        this.systemcode.set(url);
    }

    public String getIntegrationKey() {
        return integrationKey.get();
    }

    public void setIntegrationKey(String url) {
        this.integrationKey.set(url);
    }


    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();

        return cloned;
    }

}
